Debian Bug report logs - #509864
RFP: foswiki -- The Free and Open Source Wiki

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Olivier Berger <oberger@ouvaton.org>

Date: Sat, 27 Dec 2008 08:27:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#509864; Package wnpp. (Sat, 27 Dec 2008 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <oberger@ouvaton.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sat, 27 Dec 2008 08:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <oberger@ouvaton.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: twiki@packages.debian.org
Subject: RFP: foswiki -- The Free and Open Source Wiki
Date: Sat, 27 Dec 2008 09:22:58 +0100
Package: wnpp
Severity: wishlist


* Package name    : foswiki
  Version         : 1.0.0 Beta 1 
  Upstream Author : Many authors
* URL             : http://foswiki.org/Download/
* License         : GNU GPL V2+
  Programming Lang: Perl
  Description     : The Free and Open Source Wiki

Foswiki is an enterprise collaboration and information sharing tool
targeted for professional use in many types of companies: from small
businesses to large organizations. 

Foswiki is the old TWiki project under a new name. Restrictions on the
use of the TWiki brand has resulted in many of its developers to
continue the project under the new Foswiki name.


As TWiki was removed from lenny, having foswiki packaged for Debian is
all the more important.


Thanks in advance.

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

-- 
Olivier BERGER 
(OpenPGP: 1024D/B4C5F37F)
http://www.olivierberger.com/weblog/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#509864; Package wnpp. (Thu, 08 Jan 2009 13:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 08 Jan 2009 13:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 509864@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 509864@bugs.debian.org
Cc: Sven Dowideit <SvenDowideit@fosiki.com>
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Thu, 8 Jan 2009 13:56:50 +0100
On Sat, Dec 27, 2008 at 09:22:58AM +0100, Olivier Berger wrote:
> 
> As TWiki was removed from lenny, having foswiki packaged for Debian is
> all the more important.
> 

Initial bits of packaging have appeared in upstream's SVN (http://svn.foswiki.org/trunk/core/tools/pkg/ - thanks Sven).

I suppose it won't be long after the soon released 1.0 foswiki, that we can have a usable package, then :-)

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#509864; Package wnpp. (Fri, 09 Jan 2009 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 09 Jan 2009 14:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 509864@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 509864@bugs.debian.org
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Fri, 9 Jan 2009 15:07:31 +0100
On Thu, Jan 08, 2009 at 01:56:50PM +0100, Olivier Berger wrote:
> On Sat, Dec 27, 2008 at 09:22:58AM +0100, Olivier Berger wrote:
> > 
> > As TWiki was removed from lenny, having foswiki packaged for Debian is
> > all the more important.
> > 
> 
> Initial bits of packaging have appeared in upstream's SVN (http://svn.foswiki.org/trunk/core/tools/pkg/ - thanks Sven).
> 
> I suppose it won't be long after the soon released 1.0 foswiki, that we can have a usable package, then :-)
> 
> Best regards,
> 

Those interested in contributing to the package should probably keep an eye on http://foswiki.org/Community/DebianPackagingTaskTeam

Best regards,

P.S.: the package seems to build fine and install, cool ;)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#509864; Package wnpp. (Sun, 11 Jan 2009 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Dowideit <SvenDowideit@fosiki.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 11 Jan 2009 23:03:02 GMT) Full text and rfc822 format available.

Message #20 received at 509864@bugs.debian.org (full text, mbox):

From: Sven Dowideit <SvenDowideit@fosiki.com>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: 509864@bugs.debian.org
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Mon, 12 Jan 2009 07:42:35 +1100
Additionally, the foswiki deb package and 106 od the Foswiki Extensions
built into deb's are available from my debian repository at

http://fosiki.com/Foswiki_debian



so - can I get control@bugs to

retitle 509864 ITP: foswiki -- The Free and Open Source Wiki
owner 509864 SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu




Sven
-- 
Consulting wiki Engineer
Sven Dowideit - http://fosiki.com
A WikiRing Partner - http://wikiring.com
Public key -
http://pgp.mit.edu:11371/pks/lookup?search=Sven+Dowideit&op=index&exact=on


Olivier Berger wrote:
> On Sat, Dec 27, 2008 at 09:22:58AM +0100, Olivier Berger wrote:
>> As TWiki was removed from lenny, having foswiki packaged for Debian is
>> all the more important.
>>
> 
> Initial bits of packaging have appeared in upstream's SVN (http://svn.foswiki.org/trunk/core/tools/pkg/ - thanks Sven).
> 
> I suppose it won't be long after the soon released 1.0 foswiki, that we can have a usable package, then :-)
> 
> Best regards,




Changed Bug title to `ITP: foswiki -- The Free and Open Source Wiki' from `RFP: foswiki -- The Free and Open Source Wiki'. Request was from Sven Dowideit <SvenDowideit@fosiki.com> to control@bugs.debian.org. (Sun, 11 Jan 2009 23:03:03 GMT) Full text and rfc822 format available.

Owner recorded as SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu. Request was from Sven Dowideit <SvenDowideit@fosiki.com> to control@bugs.debian.org. (Sun, 11 Jan 2009 23:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu:
Bug#509864; Package wnpp. (Mon, 12 Jan 2009 09:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu. (Mon, 12 Jan 2009 09:48:02 GMT) Full text and rfc822 format available.

Message #29 received at 509864@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Sven Dowideit <SvenDowideit@fosiki.com>
Cc: 509864@bugs.debian.org
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Mon, 12 Jan 2009 10:45:50 +0100
Great news !

Will try and test that and report.

Regards,

P.S.: 

For these, you'd better put such commands on top of email sent to control@ and end them by "thanks" ;-)

> so - can I get control@bugs to
> 
> retitle 509864 ITP: foswiki -- The Free and Open Source Wiki
> owner 509864 SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu

You meant you're looking for collaborative maintenance here ?

Regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu:
Bug#509864; Package wnpp. (Wed, 26 Aug 2009 08:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu. (Wed, 26 Aug 2009 08:00:05 GMT) Full text and rfc822 format available.

Message #34 received at 509864@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: control@bugs.debian.org, 509864@bugs.debian.org
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Wed, 26 Aug 2009 09:52:38 +0200
owner 509864 SvenDowideit@home.org.au
thanks

On Mon, Jan 12, 2009 at 10:45:50AM +0100, Olivier Berger wrote:
> > retitle 509864 ITP: foswiki -- The Free and Open Source Wiki
> > owner 509864 SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu
> 
> You meant you're looking for collaborative maintenance here ?
> 

FYI, I'm no longer able to dedicate time to co-maintaining foswiki, I'm afraid, although I'll probably help in testing and other tasks in the future.
Still I hope I will be able to contribute some plugins packaging for things like integrating foswiki with other apps (fusionforge maybe).

Glad to see some progress in http://foswiki.org/Community/DebianPackagingTaskTeam anyway.

Good luck.

Best regards,




Owner changed from SvenDowideit@home.org.au | olivier.berger@it-sudparis.eu to SvenDowideit@home.org.au. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Wed, 26 Aug 2009 08:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, SvenDowideit@home.org.au:
Bug#509864; Package wnpp. (Mon, 09 Nov 2009 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, SvenDowideit@home.org.au. (Mon, 09 Nov 2009 20:18:06 GMT) Full text and rfc822 format available.

Message #41 received at 509864@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>
To: 509864@bugs.debian.org
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Mon, 9 Nov 2009 21:07:33 +0100
Sven Dowideit wrote a long time ago ...

> Additionally, the foswiki deb package and 106 od the Foswiki Extensions
> built into deb's are available from my debian repository at
> 
> http://fosiki.com/Foswiki_debian

Mind me asking for progress?  I'd really like to see foswiki uploaded
to Debian, and I bet this would increase the number of testers.

    Christoph




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, SvenDowideit@home.org.au:
Bug#509864; Package wnpp. (Fri, 04 Dec 2009 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, SvenDowideit@home.org.au. (Fri, 04 Dec 2009 07:39:07 GMT) Full text and rfc822 format available.

Message #46 received at 509864@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 559353@bugs.debian.org
Cc: 509864@bugs.debian.org
Subject: Re: Bug#559353: RM: twiki -- RoQA; security-buggy, unmaintained
Date: Fri, 4 Dec 2009 08:29:16 +0100
On Thu, Dec 03, 2009 at 10:33:54PM +0100, Moritz Muehlenhoff wrote:
> Package: ftp.debian.org
> Severity: normal
> 
> Please remove twiki. It has long-standing security bugs, has already
> been dropped for Lenny and several open RC bugs. It's unmaintained
> and we should keep security-buggy packages even in unstable for so
> long. If twiki enters Debian again, the package will likely be based on
> the foswiki fork anyway.
> 

FYI, the foswiki ITP is #509864 ... which has not delivered, although there might be some packages more or less ready.

RIP twiki.

Hope this helps.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, SvenDowideit@home.org.au:
Bug#509864; Package wnpp. (Fri, 04 Dec 2009 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, SvenDowideit@home.org.au. (Fri, 04 Dec 2009 07:42:03 GMT) Full text and rfc822 format available.

Message #51 received at 509864@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 509864@bugs.debian.org
Subject: Re: Bug#509864: RFP: foswiki -- The Free and Open Source Wiki
Date: Fri, 4 Dec 2009 08:35:27 +0100
On Mon, Nov 09, 2009 at 09:07:33PM +0100, Christoph Biedl wrote:
> Sven Dowideit wrote a long time ago ...
> 
> > Additionally, the foswiki deb package and 106 od the Foswiki Extensions
> > built into deb's are available from my debian repository at
> > 
> > http://fosiki.com/Foswiki_debian
> 
> Mind me asking for progress?  I'd really like to see foswiki uploaded
> to Debian, and I bet this would increase the number of testers.
> 

It would be great to have foswiki in Debian soon, as twiki is going to be removed from the distribution most likely : #559353

Good luck foswiki ;)

Thanks in advance.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, SvenDowideit@home.org.au:
Bug#509864; Package wnpp. (Sat, 19 Feb 2011 17:59:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, SvenDowideit@home.org.au. (Sat, 19 Feb 2011 17:59:07 GMT) Full text and rfc822 format available.

Message #56 received at 509864@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 509864@bugs.debian.org
Cc: control@bugs.debian.org
Subject: foswiki: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:41 +0000
retitle 509864 RFP: foswiki -- The Free and Open Source Wiki
noowner 509864
thanks

Hi,

This is an automatic email to change the status of foswiki back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting foswiki, please send a mail to
<control@bugs.debian.org> with:

 retitle 509864 ITP: foswiki -- The Free and Open Source Wiki
 owner 509864 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <509864@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: foswiki -- The Free and Open Source Wiki' from 'ITP: foswiki -- The Free and Open Source Wiki' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:45 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by SvenDowideit@home.org.au. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#509864; Package wnpp. (Mon, 25 Jun 2012 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dean Hamstead <dean@fragfest.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Jun 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #65 received at 509864@bugs.debian.org (full text, mbox):

From: Dean Hamstead <dean@fragfest.com.au>
To: <509864@bugs.debian.org>
Subject: foswiki in debian
Date: Mon, 25 Jun 2012 09:31:15 +1000
I would find having foswiki in the debian main line to be very useful.

Please package it up and include it!

Dean

-- 
Come play computer games with us at http://fragfest.com.au




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:46:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.